﻿using MotorPlantContracts.BindingModels;
using MotorPlantContracts.ViewModels;
namespace MotorPlantContracts.BusinessLogicsContracts
{
    public interface IReportLogic
    {
        List<ReportEngineComponentViewModel> GetEngineComponents();
        List<ReportOrdersViewModel> GetOrders(ReportBindingModel model);
        void SaveEnginesToWordFile(ReportBindingModel model);
        void SaveEngineComponentToExcelFile(ReportBindingModel model);
        void SaveOrdersToPdfFile(ReportBindingModel model);
    }
}
