﻿using MotorPlantContracts.BindingModels;
using MotorPlantContracts.SearchModels;
using MotorPlantContracts.ViewModels;

namespace MotorPlantContracts.StoragesContracts
{

	public interface IMessageInfoStorage
	{
		List<MessageInfoViewModel> GetFullList();
		List<MessageInfoViewModel> GetFilteredList(MessageInfoSearchModel model);
		MessageInfoViewModel? GetElement(MessageInfoSearchModel model);
		MessageInfoViewModel? Insert(MessageInfoBindingModel model);
	}
}